Subject: how to enable suspend to ram for arm-64 bits

From: [email-masked] (Pavel Machek)
Date: Thu, 3 Nov 2016 10:57:58 +0100

On Wed 2016-10-19 14:11:45, Mark Rutland wrote:
> On Wed, Oct 19, 2016 at 11:42:27AM +0200, Pavel Machek wrote:
> > On Tue 2016-10-18 11:45:39, Mark Rutland wrote:
> 
> > Either the lowlevel suspend code is stable and bug free, and then
> > having that code is not a problem.
> 
> This ignores the cost of maintaining that code. Kernel APIs change over
> time, and no code is ever completely stable, even if at one point in
> time it happens to be bug-free.

Well, kernel interfaces only change when there's good reason for a
change, and if you force stable binary interface to external
component, and there _is_ need for a change, we are all screwed.

> > BSD is better than closed source, but it also means that you will not
> > get the sources from your hw vendor.
> 
> That depends on your hardware vendor, as always. There are a number of
> platform ports in the upstream ATF repo.
> 
> It's also worth considering that a number of 32-bit arm parts require
> closed firmware (as far as I can tell, including the N900).

Yeah, but we are trying to remove closed firmware. Don't make people
add more of it...

> > Being separate module means it will be hard to debug, in area where
> > debugging is already pretty hard.
> 
> It can be harder, yes. There are also benefits, given the same code can
> be tested on a variety of platforms.

What benefits? You are able to share code between platforms in kernel,
too.

> > Can it do advanced stuff like deep powersaving on N900 idle?
> 
> Sorry, I don't know precisely what you're referring to.
> 
> It can do things like shutting down entire CPU clusters (and IIRC
> associated interconnect) when all relevant CPUs are idle, if that's what
> you mean.

I mean equivalent power savings between idle system and system in
s2ram.

Best regards,
									Pavel
-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html
-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 181 bytes
Desc: Digital signature
URL: <http://lists.infradead.org/pipermail/linux-arm-kernel/attachments/20161103/b3b419d1/attachment.sig>